Public Class Clienti

    Private Sub ClientiBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ClientiBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.ClientiBindingSource.EndEdit()
        Me.ClientiTableAdapter.Update(Me.SmartEstateDataSet.Clienti)

    End Sub

    Private Sub Clienti_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'SmartEstateDataSet.Agenzie' table. You can move, or remove it, as needed.
        Me.AgenzieTableAdapter.Fill(Me.SmartEstateDataSet.Agenzie)
        'TODO: This line of code loads data into the 'SmartEstateDataSet.Clienti' table. You can move, or remove it, as needed.
        Me.ClientiTableAdapter.Fill(Me.SmartEstateDataSet.Clienti)

    End Sub
End Class